com.mockobjects.servlet

## Class MockHttpServletResponse

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.servlet.MockHttpServletResponse

- All Implemented Interfaces:
    Verifiable

      public class MockHttpServletResponse
      extends MockObject

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockHttpServletResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCookie(Cookie arg1)` Not Implemented
    `void` | `addDateHeader(java.lang.String arg1, long arg2)` Not Implemented
    `void` | `addHeader(java.lang.String arg1, java.lang.String arg2)` Not Implemented
    `void` | `addIntHeader(java.lang.String arg1, int arg2)` Not Implemented
    `boolean` | `containsHeader(java.lang.String arg1)` Not Implemented
    `java.lang.String` | `encodeRedirectUrl(java.lang.String arg1)` Not Implemented
    `java.lang.String` | `encodeRedirectURL(java.lang.String arg1)` Not Implemented
    `java.lang.String` | `encodeUrl(java.lang.String arg1)` Not Implemented
    `java.lang.String` | `encodeURL(java.lang.String arg1)` Not Implemented
    `void` | `flushBuffer()` Not Implemented
    `int` | `getBufferSize()` Not Implemented
    `java.lang.String` | `getCharacterEncoding()` Not Implemented
    `java.util.Locale` | `getLocale()` Not Implemented
    `ServletOutputStream` | `getOutputStream()`
    `java.lang.String` | `getOutputStreamContents()`
    `java.io.PrintWriter` | `getWriter()`
    `boolean` | `isCommitted()` Not Implemented
    `void` | `reset()` Not Implemented
    `void` | `resetBuffer()` Not Implemented
    `void` | `sendError(int anErrorCode)`
    `void` | `sendError(int anErrorCode, java.lang.String anErrorMessage)`
    `void` | `sendRedirect(java.lang.String aURL)`
    `void` | `setBufferSize(int arg1)` Not Implemented
    `void` | `setContentLength(int length)`
    `void` | `setContentType(java.lang.String contentType)`
    `void` | `setDateHeader(java.lang.String arg1, long arg2)` Not Implemented
    `void` | `setExpectedContentLength(int length)`
    `void` | `setExpectedContentType(java.lang.String contentType)`
    `void` | `setExpectedError(int anErrorCode)`
    `void` | `setExpectedError(int anErrorCode, java.lang.String anErrorMessage)`
    `void` | `setExpectedErrorNothing()`
    `void` | `setExpectedHeader(java.lang.String key, java.lang.String value)`
    `void` | `setExpectedRedirect(java.lang.String aURL)`
    `void` | `setExpectedSetStatusCalls(int callCount)`
    `void` | `setHeader(java.lang.String key, java.lang.String value)`
    `void` | `setIntHeader(java.lang.String arg1, int arg2)` Not Implemented
    `void` | `setLocale(java.util.Locale arg1)` Not Implemented
    `void` | `setStatus(int status)`
    `void` | `setStatus(int arg1, java.lang.String arg2)` Not Implemented
    `void` | `setupOutputStream(MockServletOutputStream anOutputStream)`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockHttpServletResponse

          public MockHttpServletResponse()

  - ### Method Detail

    - #### addCookie

          public void addCookie(Cookie arg1)

      Not Implemented

    - #### addDateHeader

          public void addDateHeader(java.lang.String arg1,
                                    long arg2)

      Not Implemented

    - #### addHeader

          public void addHeader(java.lang.String arg1,
                                java.lang.String arg2)

      Not Implemented

    - #### addIntHeader

          public void addIntHeader(java.lang.String arg1,
                                   int arg2)

      Not Implemented

    - #### containsHeader

          public boolean containsHeader(java.lang.String arg1)

      Not Implemented

    - #### encodeRedirectUrl

          public java.lang.String encodeRedirectUrl(java.lang.String arg1)

      Not Implemented

    - #### encodeRedirectURL

          public java.lang.String encodeRedirectURL(java.lang.String arg1)

      Not Implemented

    - #### encodeUrl

          public java.lang.String encodeUrl(java.lang.String arg1)

      Not Implemented

    - #### encodeURL

          public java.lang.String encodeURL(java.lang.String arg1)

      Not Implemented

    - #### flushBuffer

          public void flushBuffer()
                           throws java.io.IOException

      Not Implemented
      Throws:
        `java.io.IOException`

    - #### getBufferSize

          public int getBufferSize()

      Not Implemented

    - #### getCharacterEncoding

          public java.lang.String getCharacterEncoding()

      Not Implemented

    - #### getLocale

          public java.util.Locale getLocale()

      Not Implemented

    - #### getOutputStream

          public ServletOutputStream getOutputStream()
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getOutputStreamContents

          public java.lang.String getOutputStreamContents()

    - #### getWriter

          public java.io.PrintWriter getWriter()
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isCommitted

          public boolean isCommitted()

      Not Implemented

    - #### reset

          public void reset()

      Not Implemented

    - #### resetBuffer

          public void resetBuffer()

      Not Implemented

    - #### setExpectedError

          public void setExpectedError(int anErrorCode)

    - #### setExpectedError

          public void setExpectedError(int anErrorCode,
                                       java.lang.String anErrorMessage)

    - #### setExpectedErrorNothing

          public void setExpectedErrorNothing()

    - #### sendError

          public void sendError(int anErrorCode)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### sendError

          public void sendError(int anErrorCode,
                                java.lang.String anErrorMessage)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### sendRedirect

          public void sendRedirect(java.lang.String aURL)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setBufferSize

          public void setBufferSize(int arg1)

      Not Implemented

    - #### setContentLength

          public void setContentLength(int length)

    - #### setExpectedContentLength

          public void setExpectedContentLength(int length)

    - #### setContentType

          public void setContentType(java.lang.String contentType)

    - #### setDateHeader

          public void setDateHeader(java.lang.String arg1,
                                    long arg2)

      Not Implemented

    - #### setExpectedContentType

          public void setExpectedContentType(java.lang.String contentType)

    - #### setExpectedHeader

          public void setExpectedHeader(java.lang.String key,
                                        java.lang.String value)

    - #### setExpectedRedirect

          public void setExpectedRedirect(java.lang.String aURL)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setExpectedSetStatusCalls

          public void setExpectedSetStatusCalls(int callCount)

    - #### setHeader

          public void setHeader(java.lang.String key,
                                java.lang.String value)

    - #### setIntHeader

          public void setIntHeader(java.lang.String arg1,
                                   int arg2)

      Not Implemented

    - #### setLocale

          public void setLocale(java.util.Locale arg1)

      Not Implemented

    - #### setStatus

          public void setStatus(int status)

    - #### setStatus

          public void setStatus(int arg1,
                                java.lang.String arg2)

      Not Implemented

    - #### setupOutputStream

          public void setupOutputStream(MockServletOutputStream anOutputStream)

Copyright © 2002 Mock Objects. All Rights Reserved.